using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] str = s.Split(' ');
            int a;
            int b;
            int x;
            int y;
            a = int.Parse(str[0]);
            b = int.Parse(str[1]);
             s = Console.ReadLine();
            str = s.Split(' ');
            x = int.Parse(str[0]);
            y = int.Parse(str[1]);

            if (a == x && y < b)
            {
                Console.WriteLine("drugi");
            }
            else if (x < a && y == b)
            {
                Console.WriteLine("prvi");
            }
            else if (x < a && y < b)
            {
                Console.WriteLine("?");
            }
            else if (a == x && b == y)
            {
                Console.WriteLine("nijedan");
            }
            

        }
    }
}